% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PBalance.R
\name{PBalance}
\alias{PBalance}
\title{Calculating balances}
\usage{
PBalance(A, Num, Dem, especie)
}
\arguments{
\item{A}{Number. The balance will be calculated for t=1,2,...,\code{A} time points.}

\item{Num}{vector that contains the position in the matrix \code{especies} of the families that  we position at the numerator of the balance.}

\item{Dem}{vector that contains the position in the matrix \code{especies} of the families that  we position at the denumerator of the balance}

\item{especie}{Matrix that contains at row i the bacterial taxa of bacteria i at all time points.}
}
\value{
Returns a vector with the value of the balance in each time point.
}
\description{
This function calculates the balance that has at the numerator the bacteria placed at \code{Num} and has at the denominator the bacteria placed at \code{Dem}
}
\examples{

especie1=cbind(c(0.5,0.3,0.1,0.1), c(0.1,0.3,0.6,0.1))
Num=c(1,2)
Dem=c(3,4)
A=2
PBalance(A,Num,Dem,especie1)

}
